SELECT FORMAT([投票情報].[執行日], 'yyyy-MM-dd') AS [執行日],
       [選挙情報].[選挙名称] AS [選挙名],
	   IIf([投票情報].[利用者証明書シリアルNo] IS NULL, 0, 1) AS [マイナンバー受付実施有無],
	   [選挙人台帳].[投票区コード] &
	   IIf([選挙人台帳].[簿冊番号] IS NULL OR [選挙人台帳].[簿冊番号] <= 0, '' ,
	         '-' & CStr([選挙人台帳].[簿冊番号])) &
	   IIF([選挙人台帳].[頁番号] IS NULL OR [選挙人台帳].[頁番号] <= 0, '' , 
	         '-' & CStr([選挙人台帳].[頁番号])) & 
       '-' & CStr([選挙人台帳].[行番号]) AS [名簿番号],
	   FORMAT([選挙人台帳].[生年月日], '0000-00-00') AS [生年月日],
	   [選挙人台帳].[漢字氏名] AS [氏名],
	   [選挙人台帳].[カナ氏名] AS [ﾌﾘｶﾞﾅ],
	   Switch([選挙人台帳].[性別]  =  1, '男', [選挙人台帳].[性別]  = 2, '女') AS [性別] ,
	   [選挙人台帳].[現住所１] & IIF([選挙人台帳].[現住所２] IS NULL, '', [選挙人台帳].[現住所２]) AS [住所],
	   FORMAT([投票情報].[不在請求日], 'yyyy-MM-dd') AS [請求日],
	   [受付区分マスタ].[c_data] AS [請求方法],
	   FORMAT([投票情報].[不在交付日], 'yyyy-MM-dd') AS [交付日],
	   FORMAT([投票情報].[不在受理日], 'yyyy-MM-dd') AS [受理日],
	   [投票方法マスタ].[c_data] AS [投票方法],
	   FORMAT([投票情報].[投票日], 'yyyy-MM-dd') AS [投票日],
	   FORMAT([投票情報].[投票処理日時], 'HH:mm') AS [投票時刻],
	   [投票状態マスタ].[c_data] AS [投票状態],
	   [受付場所情報].[受付場所名] AS [投票場所]
FROM (((((投票情報 LEFT JOIN 選挙情報 ON 投票情報.選挙ID = 選挙情報.ID) LEFT JOIN 受付区分マスタ ON 投票情報.受付区分 = 受付区分マスタ.c_key) LEFT JOIN 投票方法マスタ ON 投票情報.投票方法 = 投票方法マスタ.c_key) LEFT JOIN 投票状態マスタ ON 投票情報.投票状態 = 投票状態マスタ.c_key) 
LEFT JOIN 受付場所情報 ON 
(投票情報.投票状態 = '6' AND 投票情報.投票場所 = 受付場所情報.受付場所コード)
OR (投票情報.投票状態 = '2' AND 投票情報.不在受理場所 = 受付場所情報.受付場所コード)
OR (投票情報.投票状態 = '1' AND 投票情報.不在交付場所 = 受付場所情報.受付場所コード))
LEFT JOIN [選挙人台帳] 
ON [投票情報].[個人番号] = [選挙人台帳].[個人番号] 
AND [投票情報].[執行日] = [選挙人台帳].[執行日]
AND [投票情報].[名簿区分] = [選挙人台帳].[名簿区分]
WHERE [投票情報].[取消日時] IS NULL and [投票情報].[利用者証明書シリアルNo] IS NOT NULL
ORDER BY [選挙人台帳].[投票区コード], [選挙人台帳].[簿冊番号], [選挙人台帳].[頁番号], [選挙人台帳].[行番号]